Bug 865685 - slapd with rwm overlay segfault following ldapmodify
slapd with rwm overlay segfault following ldapmodify
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 02:48 EDT by Jan Vcelak
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version: openldap-2.4.33-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 864913
Environment:
Last Closed: 2012-12-20 11:07:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-10-12 02:48:49 EDT
+++ This bug was initially created as a clone of Bug #864913 +++

...

--- Additional comment from jvcelak@redhat.com on 2012-10-11 16:28:25 CEST ---

I'm not sure what is the proper fix of this problem yet.

I created an upstream report:
http://www.openldap.org/its/index.cgi?findid=7414

--- Additional comment from jvcelak@redhat.com on 2012-10-12 08:35:06 CEST ---

Upstream was very quick. Here is the patch:

http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commit;h=d42c7c
Comment 1 Fedora Update System 2012-10-12 03:26:04 EDT
openldap-2.4.33-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15910/openldap-2.4.33-2.fc18
Comment 2 Fedora Update System 2012-10-12 03:26:53 EDT
openldap-2.4.33-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-15978/openldap-2.4.33-2.fc17
Comment 3 Fedora Update System 2012-10-12 13:56:56 EDT
Package openldap-2.4.33-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.33-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15910/openldap-2.4.33-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 11:07:56 EST
openldap-2.4.33-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.